org.wildfly.swarm.config.security.security_domain

## Class ClassicACL<T extends ClassicACL<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.security_domain.ClassicACL<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ClassicACL<T extends ClassicACL<T>>
      extends HashMap

  Access control list configuration. Configures a list of ACL modules to be used.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicACL.ClassicACLResources` Child mutators for ClassicACL

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicACL()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `aclModule(ACLModule value)` Add the ACLModule object to the list of subresources
    `T` | `aclModule(ACLModuleSupplier supplier)` Install a supplied ACLModule object to the list of subresources
    `T` | `aclModule(String childKey)` Create and configure a ACLModule object to the list of subresources
    `T` | `aclModule(String childKey, ACLModuleConsumer consumer)` Create and configure a ACLModule object to the list of subresources
    `T` | `aclModules(List<ACLModule> value)` Add all ACLModule objects to this subresource
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicACL.ClassicACLResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClassicACL

          public ClassicACL()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicACL.ClassicACLResources subresources()

    - #### aclModules

          public T aclModules(List<ACLModule> value)

      Add all ACLModule objects to this subresource
      Parameters:
        `value` - List of ACLModule objects.
      Returns:
        this

    - #### aclModule

          public T aclModule(ACLModule value)

      Add the ACLModule object to the list of subresources
      Parameters:
        `value` - The ACLModule to add
      Returns:
        this

    - #### aclModule

          public T aclModule(String childKey,
                             ACLModuleConsumer consumer)

      Create and configure a ACLModule object to the list of subresources
      Parameters:
        `key` - The key for the ACLModule resource
        `config` - The ACLModuleConsumer to use
      Returns:
        this

    - #### aclModule

          public T aclModule(String childKey)

      Create and configure a ACLModule object to the list of subresources
      Parameters:
        `key` - The key for the ACLModule resource
      Returns:
        this

    - #### aclModule

          public T aclModule(ACLModuleSupplier supplier)

      Install a supplied ACLModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.